commit:     491f6f598722ee57258e1fe4e42d6096c638416a
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 22 12:19:35 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Sep 22 14:09:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=491f6f59

dev-ml/uucp: bump to 15.1.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-ml/uucp/Manifest           |  1 +
 dev-ml/uucp/uucp-15.1.0.ebuild | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-ml/uucp/Manifest b/dev-ml/uucp/Manifest
index 377668eb8840..e4ffebe703d8 100644
--- a/dev-ml/uucp/Manifest
+++ b/dev-ml/uucp/Manifest
@@ -1 +1,2 @@
 DIST uucp-15.0.0.tbz 481932 BLAKE2B 
f8f23b8233e65b77dbea5defb968d253a022556b11f0276094fcdebe010fe5de99c36f581fee6aa3e54afadff62345fa5a3d6951ba0baba394f4ddae4175ba1c
 SHA512 
ee4acff5666961766321e85e287fb9d5b8d50533319f22bf6f4eceb943242df2d0e0f4e775c4a140f68ca142837938eaa5926e22362215a3365ffe7f8768923b
+DIST uucp-15.1.0.tbz 499248 BLAKE2B 
33dc1de451565b216445ead78c66c60e93a8853f27b3ab26a9fe9a71ee0b0f2b12c0ef964e0386eef1a2fb61ee6c03ce90feb970373990bc58ec1a111a734cd1
 SHA512 
998f94fadb72357b15a3042a3d11c31b3e16f281822673f2defdd515cd1394d55de1817628be8bd5c030175f9e62c53630d4139a1c0253800f9fb898b0f11364

diff --git a/dev-ml/uucp/uucp-15.1.0.ebuild b/dev-ml/uucp/uucp-15.1.0.ebuild
new file mode 100644
index 000000000000..598da94d237f
--- /dev/null
+++ b/dev-ml/uucp/uucp-15.1.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit opam
+
+DESCRIPTION="Unicode character properties for OCaml"
+HOMEPAGE="https://erratique.ch/software/uucp https://github.com/dbuenzli/uucp";
+SRC_URI="https://erratique.ch/software/uucp/releases/${P}.tbz";
+
+LICENSE="ISC"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+       dev-ml/topkg
+       dev-ml/findlib
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       dev-ml/ocamlbuild
+"
+
+OPAM_FILE="opam"
+
+src_compile() {
+       ocaml pkg/pkg.ml build          \
+               --with-uunf false               \
+               --with-cmdliner true    \
+               || die "failed to run the pkg/pkg.ml ocaml compilation script"
+}

Reply via email to